package com.yingying.tourist.exception;

/**
 * @Author: XPF
 * @Description: 业务逻辑异常
 * @Date: Created in 14:07 2018/7/3
 * @Modified by:
 */
public class ServerBizException extends Exception {

    private static final long serialVersionUID = 1L;

    protected ErrorCode errCode;

    //自定义构造方法
    public ServerBizException(ErrorCode errorCode) {
        super(errorCode.getMsg());
        this.errCode = errorCode;
    }

    public ServerBizException() {
        super();
    }

    public ServerBizException(String message) {
        super(message);
    }

    public ServerBizException(String message, Throwable cause) {
        super(message, cause);
    }

    public ServerBizException(Throwable cause) {
        super(cause);
    }

    protected ServerBizException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
